Excerpt from MSKLC page at Microsoft.com:

To install and use the Microsoft Keyboard Layout Creator tool, your system must meet the following requirements: (...) Microsoft .NET Framework v1.0 or v1.1 must be installed

Copy from a command line on my machine:

C:\WINDOWS\Microsoft.NET\Framework>ls -l
total 96
-rwxrwx---+ 1 Administrateurs SYSTEM 98304 Jan  4  2002 Install.exe
drwxrwx---+ 8 Administrateurs SYSTEM     0 Aug  8 09:14 v1.0.3705

Result:

error message requesting .Net 1.1

Grrrrrrrr......